{% extends "@Paa/Default/Menu.html.twig" %}
 
{% block content %}
    	<button id = "cmdTest">Test</button>
 
         
    {% block enTete %}
		<h1>
			Aucun des twig de getIdActivité ne devrait avoir :<br> 
			- de header<br>
			- de balises qui vont normalement dans le JS<br>
			- d'inclusion de fichiers .CSS<br>
			- d'inclusion de fichiers .js<br>
			Tous ces éléments doivent être inclus dans la page hôte<br>
			<br>
		</H1>
        <div class="form-group">
            {{ form_label(LoForm.Date, "date", {'label_attr': {'class': 'col-sm-2 '}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(LoForm.Date, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
            
        <div class="form-group">
            {{ form_label(LoForm.HeureDeb, "de", {'label_attr': {'class': 'col-sm-2 '}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(LoForm.HeureDeb, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_label(LoForm.HeureFin, "à", {'label_attr': {'class': 'col-sm-2 '}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(LoForm.HeureFin, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_label(LoForm.RessourceSelected, "Pour la Ressource", {'label_attr': {'class': 'col-sm-2 '}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(LoForm.RessourceSelected, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
      
                 <div class="form-group">
            {{ form_label(LoForm.ListeRessource, "Pour la Ressource", {'label_attr': {'class': 'col-sm-2 '}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(LoForm.ListeRessource, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
                
            <p id="MessaTemp"></p>
	 
    {%  endblock %}    
	
 {% endblock %}

 {% block scriptsEnFinDeBody %}
{{ parent() }}
{#LG : passé de \src\PaaBundle\Resources\views\Dialog\getIDActivite\getIDActivites.html.twig début#}
{#
	<script type="text/javascript" src="{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}"></script>
	<link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}">
	<link rel="stylesheet" type="text/css" href="{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.css')}}">
	<script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.js')}}"></script>
	<script src="{{asset_version('vendor/spectrum/spectrum.js')}}"></script>
	<script type="text/javascript" src="{{asset_version('Limoog/Partages/src/couleurs.js')}}"></script>
#}

{# Obligatoir  #}
	<script type="text/javascript" src="{{asset_version('Limoog/Paa/src/ressources.js')}}"></script>
{#LG : passé de \src\PaaBundle\Resources\views\Dialog\getIDActivite\getIDActivites.html.twig fin#}
	<script type="text/javascript" src="{{asset_version('Limoog/Paa/src/popup_getIdActivite.js')}}"></script>

    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityForm.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormBoutons.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormGrille.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGDataTable.js')}}"></script>

    {#DataTable#}
{#LG 20200930 début#}
{#    <script type="text/javascript" src="{{asset_version('vendor/DataTables/datatables.min.js')}}"></script>#}
{#    <script type="text/javascript" src="{{asset_version('vendor/DataTables/dataTables.pageResize.min.js')}}"></script>#}
      <script type="text/javascript" src="{{asset_version('vendor/DataTables-1.10.15/js/jquery.dataTables.min.js')}}"></script>
{#LG 20200930 fin#}
    {#JQueryUI doit être REmis là sinon il ne fonctionne pas (inhibé par DataTables ?)#}
    <script type="text/javascript" src="{{asset_version('vendor/jQueryUI-1.12.1/jquery-ui.min.js')}} "></script>

    {#Bootstrap multiselect, http://davidstutz.de/bootstrap-multiselect/index.html#getting-started#}
    {# Obligatoir #}
    <script type="text/javascript" src="{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}"></script>
    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}">

    {#spectrum : widget getColor utilisé pour les colorPicker #}

	<script>
        $(document).ready(Ready);

		function Ready() {
// LG old			loEntityFormPopup = newEntityFormPopupYohan() ;
                         

                         
			$( "#cmdTest" ).on( "click", function(){
                            

                            var PdDate = $('#id_activite_test_temp_pop_up_Date')[0].value;
                            var PiTdeb = $('#id_activite_test_temp_pop_up_HeureDeb')[0].value;
                            var PiTfin = $('#id_activite_test_temp_pop_up_HeureFin')[0].value;
                            var PresSelected = $('#id_activite_test_temp_pop_up_RessourceSelected')[0].value;
                            var PlstRes = $('#id_activite_test_temp_pop_up_ListeRessource')[0].value;
							var lsURL = getBaseURL() + 'TestYohan/getIDActivites/'+PlstRes+'/'+PresSelected+'/'+PdDate+'/'+PiTdeb+'/'+PiTfin ;
//							var lsURL = "http://www.paas4.localhost.net/index.php/TestYohan/getIDActivites/I1000125/I1000125/14-05-2019/15:00/15:30" ;
//							var lsURL = "http://www.paas4.localhost.net/index.php/TestYohan/getIDActivites/U1,I2,U2,I1,U3/I2/2018-01-01/15:20/16:20"
							loPopup = newPopup_getIdActivite(lsURL , "Choix d'une activité");
                            loPopup.popup(CallbackTest);
                             
                        });
                      
		}
                function CallbackTest(Object)
                {
                    
                 {#   
        
                   $('#MessaTemp').html("Date : "+Object.date+ "\nheure debut: "+Object.Tdeb+"Heure fin : "+Object.Tfin + "Ressource Selected : "+ Object.PlstRes+ "GroupeActi : "+Object.groupeActi+
                    "Inclure activite générale : "+Object.InnactiGen+
                    "Uniquement ressource Concener : "+Object.UniRessConce+
                    "Inc Activité système "+Object.IncActSys+
                    "Param : "+Object.param+
                    "Activite de base : "+Object.pactibase);
                    #}
                    
                }
 	</script>

{#Scripts pour les dataTables#}
{#{% include '@Paa/Default/entityFormGrille.js.twig' %}#}

{#Scripts pour les boutons#}
{#{% include '@Paa/Default/entityFormBoutons.js.twig' %}#}
{% endblock %}



